package com.fs.gtPush.service;

import com.fs.gtPush.domain.PushReqBean;
import com.fs.gtPush.domain.PushResult;

public interface uniPush2Service {
    PushResult pushMessage(PushReqBean push);
    void pushOne(Long userId,Long businessId,String purl,String title,String content, Float type, Integer desType);
    PushReqBean getParam(Long userId,String purl,String title,String content,Float type);

//    void pushSopAppLinkMsg(Long fsUserId,String linkTile,String linkDescribe,String link);
//    PushReqBean getSopAppLinkParams(Long fsUserId,String linkTile,String linkDescribe,String link);

    void pushSopAppLinkMsgByExternal(Long externalId,String linkTile,String linkDescribe,String link);
    PushReqBean getSopAppLinkParamsByExternal(Long externalId,String linkTile,String linkDescribe,String link);
}
